-- Mod Name
name = "Fireplaces!"

-- Mod Authors
author = "Mobbstar"

-- Mod Version
version = "1.7"

-- Mod Description
description = "Build one of various fireplaces in your home in the hamlet!"

description = description .. "\n\nVersion: " .. version

-- In-game link to a thread or file download on the Klei Entertainment Forums
forumthread = "/topic/95080-island-adventures-the-shipwrecked-port/"

-- Don't Starve API version
api_version = 6
-- Don't Starve Together API version
api_version_dst = 6

-- Priority of which our mod will be loaded
-- Below 0 means other mods will override our mod by default.
-- Above 0 means our mod will override other mods by default.
-- priority = 0

-- Forces user to reboot game upon enabling the mod
restart_required = false

-- Engine/DLC Compatibility
-- Don't Starve (Vanilla, no DLCs)
dont_starve_compatible = true
-- Don't Starve: Reign of Giants
reign_of_giants_compatible = true
-- Don't Starve: Shipwrecked
shipwrecked_compatible = true
-- Don't Starve: Hamlet
hamlet_compatible = true
-- Don't Starve Together
dst_compatible = false

-- Client-only mods don't affect other players or the server.
client_only_mod = false
-- Mods which add new objects are required by all clients.
all_clients_require_mod = true

-- Server search tags for the mod.
server_filter_tags =
{
    "fireplaces",
}

-- Preview image
icon_atlas = "fireplace.xml"
icon = "fireplace.tex"


-- Thanks to the Gorge Extender by CunningFox for making me aware of this being possible -M
local emptyoptions = {{description="", data=false}}
local function Breaker(title, hover)
	return {
		name=title,
		hover=hover, --hover does not work
		options=emptyoptions,
		default=false,
	}
end

local options_enable = {
	{description = "Disabled", data = false},
	{description = "Enabled", data = true},
}
configuration_options =
{
	-- {
		-- name = "codename",
		-- label   = "Fancy Name",
        -- hover	= "This sentence explains the option in greater detail.",
		-- options =
		-- {
			-- {description = "Disabled", data = false},
			-- {description = "Enabled", data = true},
		-- },
		-- default = false,
	-- },
	{
		name = "shadowhandfix",
		label   = "Prevent Shadow Hands",
        hover	= "Shadow hands can no longer spawn in houses with this option enabled.",
		options =
		{
			{description = "Disabled", data = false},
			{description = "Enabled", data = true},
		},
		default = true,
	},
}