-- Import constants and data.

-- modimport "strings"
-- modimport "recipes"

PrefabFiles = {
	"fireplace",
}
Assets = {
	Asset("ATLAS", "images/inventoryimages/fireplace_salad.xml"),
	Asset("IMAGE", "images/inventoryimages/fireplace_salad.tex"),
	Asset("ATLAS", "images/inventoryimages/fireplace_victorian.xml"),
	Asset("IMAGE", "images/inventoryimages/fireplace_victorian.tex"),
	Asset("ATLAS", "images/inventoryimages/fireplace_gorge.xml"),
	Asset("IMAGE", "images/inventoryimages/fireplace_gorge.tex"),
}


GLOBAL.RENO_RECIPETABS.FIREPLACE = {
	str = "FIREPLACE",
	sort = 20.5, 
	icon = "campfire.tex",
	isReno = true,
}

local recipe
recipe = GLOBAL.Recipe("fireplace_ant_cave", 
	{Ingredient("oinc",20)}, 
	GLOBAL.RENO_RECIPETABS.FIREPLACE, 
	GLOBAL.TECH.HOME_TWO, 
	GLOBAL.RECIPE_GAME_TYPE.COMMON, 
	"fireplace_ant_cave_placer", 
	nil, true, nil, nil, nil, true, false, nil, true)
recipe.atlas = GLOBAL.resolvefilepath("minimap/minimap_data.xml")
recipe.image = "ant_cave_door.png"

-- recipe = GLOBAL.Recipe("fireplace_bat_cave", 
	-- {Ingredient("oinc",20)}, 
	-- GLOBAL.RENO_RECIPETABS.FIREPLACE, 
	-- GLOBAL.TECH.HOME_TWO, 
	-- GLOBAL.RECIPE_GAME_TYPE.COMMON, 
	-- "fireplace_bat_cave_placer", 
	-- nil, true, nil, nil, nil, true, false, nil, true)
-- recipe.atlas = GLOBAL.resolvefilepath("minimap/minimap_data.xml")
-- recipe.image = "vamp_bat_cave_exit.png"
	
recipe = GLOBAL.Recipe("fireplace_pig_ruins", 
	{Ingredient("oinc",25)}, 
	GLOBAL.RENO_RECIPETABS.FIREPLACE, 
	GLOBAL.TECH.HOME_TWO, 
	GLOBAL.RECIPE_GAME_TYPE.COMMON, 
	"fireplace_pig_ruins_placer", 
	nil, true, nil, nil, nil, true, false, nil, true)
recipe.atlas = GLOBAL.resolvefilepath("minimap/minimap_data.xml")
recipe.image = "pig_ruins_door_int.png"
	
recipe = GLOBAL.Recipe("fireplace_pig_ruins_blue", 
	{Ingredient("oinc",30)}, 
	GLOBAL.RENO_RECIPETABS.FIREPLACE, 
	GLOBAL.TECH.HOME_TWO, 
	GLOBAL.RECIPE_GAME_TYPE.COMMON, 
	"fireplace_pig_ruins_placer", 
	nil, true, nil, nil, nil, true, false, nil, true)
recipe.atlas = GLOBAL.resolvefilepath("minimap/minimap_data.xml")
recipe.image = "pig_ruins_door_int.png"

recipe = GLOBAL.Recipe("fireplace_ant_queen", 
	{Ingredient("oinc",25)}, 
	GLOBAL.RENO_RECIPETABS.FIREPLACE, 
	GLOBAL.TECH.HOME_TWO, 
	GLOBAL.RECIPE_GAME_TYPE.COMMON, 
	"fireplace_ant_queen_placer", 
	nil, true, nil, nil, nil, true, false, nil, true)
recipe.atlas = GLOBAL.resolvefilepath("minimap/minimap_data.xml")
recipe.image = "ant_queen_entrance.png"

recipe = GLOBAL.Recipe("fireplace_ant_queen_blue", 
	{Ingredient("oinc",30)}, 
	GLOBAL.RENO_RECIPETABS.FIREPLACE, 
	GLOBAL.TECH.HOME_TWO, 
	GLOBAL.RECIPE_GAME_TYPE.COMMON, 
	"fireplace_ant_queen_placer", 
	nil, true, nil, nil, nil, true, false, nil, true)
recipe.atlas = GLOBAL.resolvefilepath("minimap/minimap_data.xml")
recipe.image = "ant_queen_entrance.png"

-- recipe = GLOBAL.Recipe("fireplace_sandcastle", 
	-- {Ingredient("oinc",25)}, 
	-- GLOBAL.RENO_RECIPETABS.FIREPLACE, 
	-- GLOBAL.TECH.HOME_TWO, 
	-- GLOBAL.RECIPE_GAME_TYPE.COMMON, 
	-- "fireplace_sandcastle_placer", 
	-- nil, true, nil, nil, nil, true, false, nil, true)
-- -- recipe.atlas = GLOBAL.resolvefilepath("minimap/minimap_data.xml")
-- recipe.image = "sand_castle.tex"

recipe = GLOBAL.Recipe("fireplace_monkeybarrel", 
	{Ingredient("oinc",25)}, 
	GLOBAL.RENO_RECIPETABS.FIREPLACE, 
	GLOBAL.TECH.HOME_TWO, 
	GLOBAL.RECIPE_GAME_TYPE.COMMON, 
	"fireplace_monkeybarrel_placer", 
	nil, true, nil, nil, nil, true, false, nil, true)
recipe.atlas = GLOBAL.resolvefilepath("minimap/minimap_data.xml")
recipe.image = "monkey_barrel.png"

recipe = GLOBAL.Recipe("fireplace_dragoon", 
	{Ingredient("oinc",25)}, 
	GLOBAL.RENO_RECIPETABS.FIREPLACE, 
	GLOBAL.TECH.HOME_TWO, 
	GLOBAL.RECIPE_GAME_TYPE.COMMON, 
	"fireplace_dragoon_placer", 
	nil, true, nil, nil, nil, true, false, nil, true)
-- recipe.atlas = GLOBAL.resolvefilepath("minimap/minimap_data.xml")
recipe.image = "dragoonden.tex"

recipe = GLOBAL.Recipe("fireplace_birdcage", 
	{Ingredient("oinc",25)}, 
	GLOBAL.RENO_RECIPETABS.FIREPLACE, 
	GLOBAL.TECH.HOME_TWO, 
	GLOBAL.RECIPE_GAME_TYPE.COMMON, 
	"fireplace_birdcage_placer", 
	nil, true, nil, nil, nil, true, false, nil, true)
-- recipe.atlas = GLOBAL.resolvefilepath("minimap/minimap_data.xml")
recipe.image = "birdcage.tex"

recipe = GLOBAL.Recipe("fireplace_adventure", 
	{Ingredient("oinc",25)}, 
	GLOBAL.RENO_RECIPETABS.FIREPLACE, 
	GLOBAL.TECH.HOME_TWO, 
	GLOBAL.RECIPE_GAME_TYPE.COMMON, 
	"fireplace_adventure_placer", 
	nil, true, nil, nil, nil, true, false, nil, true)
recipe.atlas = GLOBAL.resolvefilepath("minimap/minimap_data.xml")
recipe.image = "portal.png"

recipe = GLOBAL.Recipe("fireplace_salad", 
	{Ingredient("oinc",25)}, 
	GLOBAL.RENO_RECIPETABS.FIREPLACE, 
	GLOBAL.TECH.HOME_TWO, 
	GLOBAL.RECIPE_GAME_TYPE.COMMON, 
	"fireplace_salad_placer", 
	nil, true, nil, nil, nil, true, false, nil, true)
recipe.atlas = GLOBAL.resolvefilepath("images/inventoryimages/fireplace_salad.xml")

recipe = GLOBAL.Recipe("fireplace_victorian", 
	{Ingredient("oinc",25)}, 
	GLOBAL.RENO_RECIPETABS.FIREPLACE, 
	GLOBAL.TECH.HOME_TWO, 
	GLOBAL.RECIPE_GAME_TYPE.COMMON, 
	"fireplace_victorian_placer", 
	nil, true, nil, nil, nil, true, false, nil, true)
recipe.atlas = GLOBAL.resolvefilepath("images/inventoryimages/fireplace_victorian.xml")

recipe = GLOBAL.Recipe("fireplace_gorge", 
	{Ingredient("oinc",25)}, 
	GLOBAL.RENO_RECIPETABS.FIREPLACE, 
	GLOBAL.TECH.HOME_TWO, 
	GLOBAL.RECIPE_GAME_TYPE.COMMON, 
	"fireplace_gorge_placer", 
	nil, true, nil, nil, nil, true, false, nil, true)
recipe.atlas = GLOBAL.resolvefilepath("images/inventoryimages/fireplace_gorge.xml")

recipe = GLOBAL.RecipeCategory("reno_tab_fireplace", 
	GLOBAL.RENO_RECIPETABS.FIREPLACE,
	GLOBAL.RECIPETABS.HOME,
	GLOBAL.TECH.HOME_TWO,
	GLOBAL.RECIPE_GAME_TYPE.COMMON)
recipe.image = "campfire.tex"
recipe.sort = 20


--Note to writers: a line supports roughly twenty symbols, two lines, long words trigger line break early
GLOBAL.STRINGS.NAMES.FIREPLACE_ANT_CAVE = "Crude Fireplace"
GLOBAL.STRINGS.RECIPE_DESC.FIREPLACE_ANT_CAVE = "It's really just a hole in the wall."
-- GLOBAL.STRINGS.NAMES.FIREPLACE_BAT_CAVE = "Fireniche"
-- GLOBAL.STRINGS.RECIPE_DESC.FIREPLACE_BAT_CAVE = "It's really just a hole in the wall."
GLOBAL.STRINGS.NAMES.FIREPLACE_PIG_RUINS = "Terracotta Stove"
GLOBAL.STRINGS.RECIPE_DESC.FIREPLACE_PIG_RUINS = "Smooth and sooth."
GLOBAL.STRINGS.NAMES.FIREPLACE_PIG_RUINS_BLUE = "Cold Terracotta Stove"
GLOBAL.STRINGS.RECIPE_DESC.FIREPLACE_PIG_RUINS_BLUE = "The blue paint makes it cold."
GLOBAL.STRINGS.NAMES.FIREPLACE_ANT_QUEEN = "Insectoid Hearth"
GLOBAL.STRINGS.RECIPE_DESC.FIREPLACE_ANT_QUEEN = "Chitin and gems decorate this hearth."
GLOBAL.STRINGS.NAMES.FIREPLACE_ANT_QUEEN_BLUE = "Endothermic Hearth"
GLOBAL.STRINGS.RECIPE_DESC.FIREPLACE_ANT_QUEEN_BLUE = "An insectoid, frozen hearth."
GLOBAL.STRINGS.NAMES.FIREPLACE_MONKEYBARREL = "Primate Bonfire"
GLOBAL.STRINGS.RECIPE_DESC.FIREPLACE_MONKEYBARREL = "Perfect for witch doctors."
GLOBAL.STRINGS.NAMES.FIREPLACE_DRAGOON = "Obsidian Wreath"
GLOBAL.STRINGS.RECIPE_DESC.FIREPLACE_DRAGOON = "Just looking at it melts your skin."
GLOBAL.STRINGS.NAMES.FIREPLACE_BIRDCAGE = "Fire Cage"
GLOBAL.STRINGS.RECIPE_DESC.FIREPLACE_BIRDCAGE = "A home for tame fire spirits."
GLOBAL.STRINGS.NAMES.FIREPLACE_ADVENTURE = "Flaming Doorway"
GLOBAL.STRINGS.RECIPE_DESC.FIREPLACE_ADVENTURE = "Who needs sleep, anyways?"
GLOBAL.STRINGS.NAMES.FIREPLACE_SALAD = "Salad Furnace"
GLOBAL.STRINGS.RECIPE_DESC.FIREPLACE_SALAD = "Despite its name, do not take a bite."
GLOBAL.STRINGS.NAMES.FIREPLACE_VICTORIAN = "Ye Olde Oven"
GLOBAL.STRINGS.RECIPE_DESC.FIREPLACE_VICTORIAN = "Heavy, solid metal that stood the test of time."
GLOBAL.STRINGS.NAMES.FIREPLACE_GORGE = "Gorgeous Oven"
GLOBAL.STRINGS.RECIPE_DESC.FIREPLACE_GORGE = "Perfect for cooking, if you had a casserole."

GLOBAL.STRINGS.TABS.RENO_TAB_FIREPLACE = "Fireplaces"

if GetModConfigData("shadowhandfix") then
	--honestly, this is a basegame bug
	AddComponentPostInit("sanitymonsterspawner", function(self)
		local FindHandSpawnPoint_old = self.FindHandSpawnPoint
		function self:FindHandSpawnPoint(...)
			local interiorSpawner = GLOBAL.GetWorld().components.interiorspawner 
			if interiorSpawner and interiorSpawner.current_interior
			and interiorSpawner.current_interior.object_list then
				-- local originpt = interiorSpawner:getSpawnOrigin()
				-- local width = interiorSpawner.current_interior.width
				-- local depth = interiorSpawner.current_interior.depth
				for k, v in pairs(interiorSpawner.current_interior.object_list) do
					if v.components.door and not v.components.door.disabled then
						local pt = v:GetPosition()
						if GLOBAL.TheSim:GetLightAtPoint(pt:Get()) <= GLOBAL.TUNING.DARK_SPAWNCUTOFF
						--This darkness is never reached inside the playerhouse...
						and GLOBAL.GetWorld().Map:GetTileAtPoint(pt:Get()) ~= GLOBAL.GROUND.IMPASSABLE then
							return pt
						end
					end
				end
				return nil -- no hands in rooms without open doors
			end
			return FindHandSpawnPoint_old(self, ...)
		end
	end)
end